]> git.ozlabs.org Git - next-scripts/commitdiff
Merge commit '87f7336193d1'
authorStephen Rothwell <sfr@canb.auug.org.au>
Sat, 20 Jun 2015 02:02:45 +0000 (12:02 +1000)
committerStephen Rothwell <sfr@canb.auug.org.au>
Sat, 20 Jun 2015 02:02:45 +0000 (12:02 +1000)
Conflicts:
common.sh

Use sfr's version of common.sh

do_push [new file with mode: 0755]
send_email

diff --git a/do_push b/do_push
new file mode 100755 (executable)
index 0000000..b520cfd
--- /dev/null
+++ b/do_push
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+. "$(dirname $0)/common.sh"
+
+git push -f "$build_host":"$build_dir" master:refs/heads/next
+
+exit $?
index de418730b6a0776d2aaa5e6a49d60c9ca44b98ef..470858af53044b5aace67cd8b6ca9291b469a04c 100755 (executable)
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+TARGET=$HOME/linux-next-$$.email
+
 to="$1"
 cc="$2"
 subject="$3"
@@ -10,8 +12,15 @@ To: $to
 Cc: $cc
 Subject: $subject
 
+FIXME: Add owner of second tree to To:
+       Add author(s)/SOB of conflicting commits.
+
 EOF
        cat
-) | claws-mail --compose-from-file -
+) > $TARGET
+
+gvim $TARGET
+
+echo "When you're finished editing you need to send $TARGET"
 
 exit 0